## org.biojava.bio.program.ssbind
Class HSPStAXHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
              org.biojava.bio.program.ssbind.HSPStAXHandler

All Implemented Interfaces:
  StAXContentHandler

    public class HSPStAXHandler

extends SeqSimilarityStAXHandler

`HSPStAXHandler` handles the HSP element of BioJava BlastLike XML.

Since:
  1.3
Author:
  Keith James

Field Summary
`static StAXHandlerFactory` `HSP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`ssContext`

Method Summary
`protected void` `handleEndElement(String nsURI, String localName, String qName)`
`protected void` `handleStartElement(String nsURI, String localName, String qName, Attributes attrs)`

Methods inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`addHandler, endElement, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HSP_HANDLER_FACTORY

    public static final StAXHandlerFactory HSP_HANDLER_FACTORY

Method Detail

### handleStartElement

    protected void handleStartElement(String nsURI,
                                      String localName,
                                      String qName,
                                      Attributes attrs)
                               throws SAXException

  Overrides:
    `handleStartElement` in class `SeqSimilarityStAXHandler`
  Throws:
    `SAXException`

### handleEndElement

    protected void handleEndElement(String nsURI,
                                    String localName,
                                    String qName)
                             throws SAXException

  Overrides:
    `handleEndElement` in class `SeqSimilarityStAXHandler`
  Throws:
    `SAXException`